%{?scl:%scl_package nodejs-npm-install-checks}
%{!?scl:%global pkg_name %{name}}
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:		%{?scl_prefix}nodejs-npm-install-checks
Version:	1.0.4
Release:	5%{?dist}
Summary:	Install checks for NPM
License:	BSD
Url:		https://github.com/npm/npm-install-checks
Source:		http://registry.npmjs.org/npm-install-checks/-/npm-install-checks-%{version}.tgz
BuildRequires:	nodejs-packaging
BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(mkdirp)
%endif

%description
A package that contains checks that npm runs during the installation. 

%prep
%setup -q -n package

%{nodejs_fixdep} semver '2.x'
%{nodejs_fixdep} npmlog '0.0.x'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/npm-install-checks
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/npm-install-checks/

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test?*.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/npm-install-checks

%changelog
* Fri Mar 20 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.4-5
- Changed versions of packages fixed by %%nodejs_fixdep macros
- moved macros from %%build to %%prep
- changed license to BSD

* Mon Mar 16 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.4-4
- Changed ExclusiveArch
- added %%check, %%license and %%nodejs_fixdep macro
- removed BuildRoot, Group and %%defattr

* Tue Mar 03 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.4-3
- Fixed dependency

* Tue Jan 13 2015 Tomas Hrcka <thrcka@redhat.com> - 1.0.4-2
- Remove undefined macro

* Mon Jan 12 2015 Tomas Hrcka <thrcka@redhat.com> - 1.0.4-1
- Initial build

